WuKongIM Docs

同步命令消息

编辑此页报告文档问题

已弃用

POST/message/sync

返回最新持久 CMD generation;message_seq 仅兼容接收但会被忽略。

请求主体

application/json

TypeScript 定义

在 TypeScript 中使用 request body 类型。

响应主体

application/json

application/json

application/json

[  {    "header": {      "no_persist": 0,      "red_dot": 0,      "sync_once": 0    },    "setting": 0,    "message_id": 0,    "message_idstr": "string",    "client_msg_no": "string",    "end": 0,    "end_reason": 0,    "error": "string",    "stream_data": "string",    "event_meta": {      "has_events": true,      "completed": true,      "event_version": 0,      "last_msg_event_seq": 0,      "event_count": 0,      "open_event_count": 0,      "events": [        {          "event_key": "string",          "status": "string",          "last_msg_event_seq": 0,          "snapshot": null,          "end_reason": 0,          "error": "string"        }      ]    },    "event_sync_hint": {      "client_msg_no": "string",      "from_msg_event_seq": 0    },    "message_seq": 0,    "from_uid": "string",    "channel_id": "string",    "channel_type": 0,    "topic": "string",    "expire": 0,    "timestamp": 0,    "payload": "string"  }]